---
  stages:
    - linting

  image: docker:git
  services:
    - docker:dind
  variables:
    DOCKER_DRIVER: overlay
    # Variables for pytest.gitlab-ci.yml
    PYTHON_VERSIONS: "v3.7 v3.8 v3.9"
    # Variables for Container-Scanning.gitlab-ci.yml
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE #/$CI_COMMIT_REF_SLUG
    CI_APPLICATION_TAG: $CI_COMMIT_REF_SLUG #$CI_COMMIT_SHA
    # Variable for pylint/pydocstyle/SAST/Code-Quality.gitlab-ci.yml
    SRC_PATH: '/src'
    DOC_PATH: '/docs'
    # Variable for SAST
    SAST_EXCLUDED_PATHS: "docs,integration_tests,scripts,tests"
    SAST_BANDIT_EXCLUDED_PATHS: "docs,integration_tests,scripts,tests"

  include:
    - remote: 'https://gitlab.com/Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates/raw/master/pylint.gitlab-ci.yml'
    # - remote: 'https://gitlab.com/Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates/-/raw/master/pytest.gitlab-ci.yml'
    # - remote: 'https://gitlab.com/Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates/raw/master/pydocstyle.gitlab-ci.yml'
    # - remote: 'https://gitlab.com/Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates/raw/master/doc8.gitlab-ci.yml'
    # - remote: 'https://gitlab.com/Orange-OpenSource/lfn/ci_cd/gitlab-ci-templates/raw/master/pyup.gitlab-ci.yml'
    # - template: License-Scanning.gitlab-ci.yml
    # - template: Dependency-Scanning.gitlab-ci.yml
    # - template: Jobs/Code-Quality.gitlab-ci.yml
    # - template: SAST.gitlab-ci.yml
    # - template: Container-Scanning.gitlab-ci.yml
